com.google.cloud.dataflow.sdk.values

## Class TimestampedValue.TimestampedValueCoder<T>

- java.lang.Object
- - com.google.cloud.dataflow.sdk.coders.StandardCoder<TimestampedValue<T>>
  - - com.google.cloud.dataflow.sdk.values.TimestampedValue.TimestampedValueCoder<T>

All Implemented Interfaces:
  Coder<TimestampedValue<T>>, Serializable

Enclosing class:
  TimestampedValue<V>

    public static class TimestampedValue.TimestampedValueCoder<T>
    extends StandardCoder<TimestampedValue<T>>

A `Coder` for `TimestampedValue`.

See Also:
  Serialized Form

### Nested Class Summary

### Nested classes/interfaces inherited from interface com.google.cloud.dataflow.sdk.coders.Coder

`Coder.Context, Coder.NonDeterministicException`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`TimestampedValue<T>` `decode(InputStream inStream, Coder.Context context)` Decodes a value of type `T` from the given input stream in the given context.
`void` `encode(TimestampedValue<T> windowedElem, OutputStream outStream, Coder.Context context)` Encodes the given value of type `T` onto the given output stream in the given context.
`List<? extends Coder<?>>` `getCoderArguments()` If this is a `Coder` for a parameterized type, returns the list of `Coder`s being used for each of the parameters, or returns `null` if this cannot be done or this is not a parameterized type.
`static <T> List<Object>` `getInstanceComponents(TimestampedValue<T> exampleValue)`
`static <T> TimestampedValue.TimestampedValueCoder<T>` `of(Coder<T> valueCoder)`
`static TimestampedValue.TimestampedValueCoder<?>` `of(List<Object> components)`
`void` `verifyDeterministic()` Throw `Coder.NonDeterministicException` if the coding is not deterministic.

### Methods inherited from class com.google.cloud.dataflow.sdk.coders.StandardCoder

`asCloudObject, consistentWithEquals, equals, getAllowedEncodings, getComponents, getEncodedElementByteSize, getEncodingId, hashCode, isRegisterByteSizeObserverCheap, registerByteSizeObserver, structuralValue, toString, verifyDeterministic, verifyDeterministic`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Method Detail

#### of

    public static <T> TimestampedValue.TimestampedValueCoder<T> of(Coder<T> valueCoder)

#### of

    public static TimestampedValue.TimestampedValueCoder<?> of(List<Object> components)

#### encode

    public void encode(TimestampedValue<T> windowedElem,
                       OutputStream outStream,
                       Coder.Context context)
                throws IOException

Description copied from interface: `Coder`
Encodes the given value of type `T` onto the given output stream in the given context.

Throws:
  `IOException` - if writing to the `OutputStream` fails for some reason
  `CoderException` - if the value could not be encoded for some reason

#### decode

    public TimestampedValue<T> decode(InputStream inStream,
                                      Coder.Context context)
                               throws IOException

Description copied from interface: `Coder`
Decodes a value of type `T` from the given input stream in the given context. Returns the decoded value.

Throws:
  `IOException` - if reading from the `InputStream` fails for some reason
  `CoderException` - if the value could not be decoded for some reason

#### verifyDeterministic

    public void verifyDeterministic()
                             throws Coder.NonDeterministicException

Description copied from interface: `Coder`
Throw `Coder.NonDeterministicException` if the coding is not deterministic.

In order for a `Coder` to be considered deterministic, the following must be true:

- two values that compare as equal (via `Object.equals()` or `Comparable.compareTo()`, if supported) have the same encoding.
- the `Coder` always produces a canonical encoding, which is the same for an instance of an object even if produced on different computers at different times.

Throws:
  `Coder.NonDeterministicException` - if this coder is not deterministic.

#### getCoderArguments

    public List<? extends Coder<?>> getCoderArguments()

Description copied from interface: `Coder`
If this is a `Coder` for a parameterized type, returns the list of `Coder`s being used for each of the parameters, or returns `null` if this cannot be done or this is not a parameterized type.

#### getInstanceComponents

    public static <T> List<Object> getInstanceComponents(TimestampedValue<T> exampleValue)